Get working time users
curl --request GET \
--url https://api.projectcor.com/v1/working-time/company/with/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/working-time/company/with/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/working-time/company/with/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/working-time/company/with/users';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/working-time/company/with/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/working-time/company/with/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"12345": [
{
"daily_hours": 9,
"day_of_week": 1,
"start_at": "09:00:00",
"end_at": "18:00:00",
"user_id": 12345,
"break_time": 0
},
{
"daily_hours": 8,
"day_of_week": 2,
"start_at": "09:00:00",
"end_at": "18:00:00",
"user_id": 12345,
"break_time": 1
}
]
}Working Time
Get working time users
Gets information about working time for all users in the company. The response is an object where keys are user IDs and values are arrays of working time entries.
GET
/
working-time
/
company
/
with
/
users
Get working time users
Was this page helpful?
⌘I

